%define name menudrake
%define version 0.2
%define release 4mdk

Summary: menudrake is a little application for editing menu.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: menudrake.menu
Copyright: GPL
Group: System/Configuration/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Obsoletes: DrakeMenu

%description
menudrake is a menu editor for the mandrake distribution.

%prep
%setup

%build
%configure 
%make
 
%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}/
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}/
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/pixmaps/%{name}16.xpm $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/pixmaps/%{name}32.xpm $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/pixmaps/%{name}48.xpm $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
mkdir -p $RPM_BUILD_ROOT/%{_menudir}/
install %{SOURCE1} $RPM_BUILD_ROOT/%{_menudir}/%{name}
%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root)%{_bindir}/*
%{_datadir}/%{name}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm

%changelog
* Mon Oct 16 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-4mdk
- Add charset for kde endocing to utf8

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-3mdk
- add some translation

* Thu Oct  5 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-2mdk
- add po
-Fix small bug in internationalisation

* Fri Sep 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-1mdk
- Up to 0.2
- system menu edition
- dialog box at exit application if change
- internationalization
- clean code of objmenu
- fix menu callback

* Tue Sep 12 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-13mdk
- Patch for more robust to different menu context with similar dir
- Merge save and update menu
- Some updates in french po

* Fri Sep  8 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-12mdk
- Now remove initial / on section
- Adding eventbox, for ritgh tracing pixmap in icon selector

* Wed Sep  6 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-11mdk
- Fix adding with not a correct context

* Mon Sep  4 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-10mdk
- corrected menu file terminated without '\n' (thanx to fred) 

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-9mdk
- Add menu entry
- Add mandrake pictures

* Thu Aug 31 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-8mdk
- other fix (gtk with debug compile)

* Wed Aug 30 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-7mdk
- Some small fix

* Tue Aug 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-6mdk
- Many change 
- Many fix
- Adding toolbar

* Mon Aug 21 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-5mdk
- Change save procedure, now let comment system entries in file
- Many clean and code
- Adding default on doubleclick
- Many others little thinks

* Fri Aug 18 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-4mdk
- Change default size of icon
- Now it possible to add, modify, delete extended argument
- clean code
- only view the extended argument

* Thu Aug 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-3mdk
- Add French Translation

* Thu Aug 10 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-2mdk
- Add a menu entry to launch update menu

* Thu Aug 10 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-1mdk
- First beta release

